## File "Configs/kupu.py"
## -*- coding: utf-8 -*-
# 
# Configuration of kupu visual editor.



##---------------------------------------------------------------------------



## KUPU_CONFIGURATION
# Kupu editor settings.
# Edit this dictionnary to modify your kupu visual editor configuration.
# 
# 
#  * 'linkbyuid' (required) : boolean
#    Create link using UIDs.
#    Links to objects on this site created by Kupu can use unique object ids so
#    that the links remain valid even if the target object is renamed or moved
#    elsewhere on the site.
# 
#  * 'table_classnames' (required) : list
#    list of class names to be made available in the table drawer
# 
#  * 'html_exclusions' (required) : list
#    HTML tags and attributes to be removed when saving documents.
# 
#  * 'style_whitelist' (required) : list
#    List of style elements to be permitted (one per line).
# 
#  * 'class_blacklist' (required) : list
#    List of classnames to be excluded (one per line).
# 
#  * 'installBeforeUnload' (optional - default : None) : boolean
#    Install Kupu code to detect form changes
# 
#  * 'parastyles' (optional - default : None) : list
#    List of paragraph styles to appear in the style pulldown.
#    Format is title|tag or title|tag|className, one per line.
# 
# 
# See configure_kupu() arguments in kupu/plone/plonelibrarytool.py
# for the latest list of all available keys and default values.
# 
# 
KUPU_CONFIGURATION = {
  'linkbyuid' : True,

  'table_classnames' : [
                        'plain',
                        'listing',
                        'vertical listing',
                        'listing nosort|unsorted listing',
                      ],

  'html_exclusions' : [
                {
                  'tags' : ['center', 'span', 'tt', 'big', 'small', 's', 'basefont', 'font'],
                  'attributes' : [],
                  'keep': True,
                },
                {
                  'tags' : [],
                  'attributes' : ['dir','lang','valign','halign','border','frame','rules','cellspacing','cellpadding','bgcolor'],
                  'keep': True,
                },
                {
                  'tags' : ['table','th','td'],
                  'attributes' : ['width','height'],
                  'keep': True,
                },
                {
                  'tags' : '',
                  'attributes' : '',
                  'keep': True,
                }
              ],

  'style_whitelist' : ['text-align', 'list-style-type', 'float', 'width', 'height'],

  'class_blacklist' : [],

  'installBeforeUnload' : True,

  'parastyles' : [
                    'Normal (under images)|p|cleared-paragraph',
                    'Title 2|h2',
                    'Title 2 (under images)|h2|cleared-paragraph',
                    'Title 3|h3',
                    'Title 3 (under images)|h3|cleared-paragraph',
                    'Title 4|h4',
                    'Title 4 (under images)|h4|cleared-paragraph',
                    'Literal|pre',
                    'Discreet|p|discreet',
                 ],
}


